CWDatabaseInternal::Field Struct Reference

## Public Types

enum | Type { F_Unknown, F_Text, F_Number, F_Date, F_Time, F_Formula, F_FormulaSum, F_Checkbox, F_PopupMenu, F_RadioButton, F_ValueList, F_Multimedia }

## Public Member Functions

| Field ()
bool | isText () const
bool | isFormula () const
int | getNumDefault (int version) const

## Public Attributes

Type | m_type
int | m_defType
std::string | m_name
std::string | m_default

## Friends

std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<< More...

## Member Enumeration Documentation

enum CWDatabaseInternal::Field::Type

Enumerator
F_Unknown |
F_Text |
F_Number |
F_Date |
F_Time |
F_Formula |
F_FormulaSum |
F_Checkbox |
F_PopupMenu |
F_RadioButton |
F_ValueList |
F_Multimedia |

## Constructor & Destructor Documentation

CWDatabaseInternal::Field::Field | ( |  | ) |

inline

## Member Function Documentation

int CWDatabaseInternal::Field::getNumDefault | ( | int | version | ) | const

inline

Referenced by CWDatabase::readDatabaseDefaults().

bool CWDatabaseInternal::Field::isFormula | ( |  | ) | const

inline

Referenced by CWDatabase::readDatabaseDefaults().

bool CWDatabaseInternal::Field::isText | ( |  | ) | const

inline

Referenced by CWDatabase::readDatabaseDefaults().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Field const & | field
| ) |  |

friend

operator<<

## Member Data Documentation

std::string CWDatabaseInternal::Field::m_default

int CWDatabaseInternal::Field::m_defType

Referenced by getNumDefault(), and CWDatabase::readDatabaseFields().

std::string CWDatabaseInternal::Field::m_name

Referenced by CWDatabase::readDatabaseFields().

Type CWDatabaseInternal::Field::m_type

Referenced by getNumDefault(), isFormula(), isText(), CWDatabase::readDatabaseDefaults(), and CWDatabase::readDatabaseFields().

The documentation for this struct was generated from the following file:

- CWDatabase.cxx